Bug 605928 - Parley connects more than one time to a SIGNAL which causes problems
Parley connects more than one time to a SIGNAL which causes problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdeedu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 08:44 EDT by Reto Zingg
Modified: 2011-06-11 11:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-11 11:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the problem (1.23 KB, patch)
2010-06-19 08:44 EDT, Reto Zingg
no flags Details | Diff

  None (edit)
Description Reto Zingg 2010-06-19 08:44:18 EDT
Created attachment 425334 [details]
Fix for the problem

Description of problem:

In file src/practiceold/practicedialog.cpp the SIGNAL timeout() gets connected each time the function PracticeDialog::startShowSolutionTimer() is called. This causes that the SLOT continueWithNextWord() is called each time once more, and more and more Words gets skipped in the list. This causes Parley to count wrong during the training.

Version-Release number of selected component (if applicable):
Parley
Version 0.9.3
Using KDE Development Platform 4.4.4 (KDE 4.4.4)


How reproducible:
get a kvtml file to train with

Steps to Reproduce:
1. start parley
2. start practice
3. configure practice -> Advanced -> check "show solution after answering:" and chose a time eg. 2s.
4. chose "Multiple Choice" in "Practice"
4. apply and exit the settings dialogue
5. start practice and give correct answers...

  
Actual results:
observe the progress bar, it counts 0,1,3,6,10,15...

Expected results:
the progress bar counts 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15...

Additional info:
[root@laptop ~]#  uname -a && rpm -qa kdeedu\*
Linux laptop 2.6.33.5-124.fc13.i686 #1 SMP Fri Jun 11 09:48:40 UTC 2010 i686 i686 i386 GNU/Linux
kdeedu-marble-4.4.4-1.fc13.i686
kdeedu-kstars-4.4.4-1.fc13.i686
kdeedu-4.4.4-1.fc13.i686
kdeedu-math-libs-4.4.4-1.fc13.i686
kdeedu-devel-4.4.4-1.fc13.i686
kdeedu-marble-libs-4.4.4-1.fc13.i686
kdeedu-kstars-libs-4.4.4-1.fc13.i686
kdeedu-math-4.4.4-1.fc13.i686
kdeedu-libs-4.4.4-1.fc13.i686

Attached is a patch which solves the problem for me.

add to kdeedu.spec:
Patch0: fix-practice-counting.patch

and in %prep section:
%patch0 -p1

builds the package for me.

seems upstream is currently refactoring this part of the code, so not sure if the patch will be taken or will be valid in KDE 4.5.
Comment 1 Bug Zapper 2011-06-02 06:16:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Reto Zingg 2011-06-11 05:36:01 EDT
I do not observe the described problem in:

Fedora 15
Parley Version 0.9.4
Using KDE Development Platform 4.6.3 (4.6.3)

-> bug can be closed

Note You need to log in before you can comment on or make changes to this bug.